## ros-noetic-combined-robot-hw 0.19.6

=== debian/changelog ===
ros-noetic-combined-robot-hw (0.19.6-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Oct 2022 23:00:00 -0000

ros-noetic-combined-robot-hw (0.19.5-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Jun 2021 23:00:00 -0000

ros-noetic-combined-robot-hw (0.19.4-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-noetic-combined-robot-hw (0.19.3-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-noetic-combined-robot-hw (0.19.2-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Aug 2020 23:00:00 -0000

ros-noetic-combined-robot-hw (0.19.1-1buster) buster; urgency=high

  * Function specifiers noetic (#453 <https://github.com/ros-controls/ros_control/issues/453>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
    Co-authored-by: Matt Reynolds <mtreynolds@uwaterloo.ca>
  * Use setuptools instead of distutils (#429 <https://github.com/ros-controls/ros_control/issues/429>)
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 May 2020 23:00:00 -0000

ros-noetic-combined-robot-hw (0.19.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 Apr 2020 23:00:00 -0000

ros-noetic-combined-robot-hw (0.18.0-1buster) buster; urgency=high

  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-noetic-combined-robot-hw (0.17.0-1buster) buster; urgency=high

  * Use auto keyword
  * Use default member initializers
  * Improve controller and resource filtering for CombinedRobotHW
  * Prefer default member initializers
  * Contributors: AbhinavSingh, Bence Magyar, Matt Reynolds, Toni Oliver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-noetic-combined-robot-hw (0.16.0-1buster) buster; urgency=high

  * Use range-based for loop
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Use #pragma once
  * Replace header guard with #pragma once
  * Remove unused Boost dependencies
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Fix build error in clang error: non-aggregate type 'std::vector' (aka 'vector >') cannot be initialized with an initializer list
  * fix install destination
  * specify RUNTIME DESTINATION for libraries needed for exporting DLLs on Windows
  * Contributors: Bence Magyar, James Xu, Matt Reynolds, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Jan 2020 00:00:00 -0000

ros-noetic-combined-robot-hw (0.15.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 29 Sep 2018 23:00:00 -0000

ros-noetic-combined-robot-hw (0.15.0-1buster) buster; urgency=high

  * CreateInstance -> CreateUniqueInstance
  * boost::shared_ptr -> std::shared_ptr
  * Introduce shared_ptr typedefs
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 May 2018 23:00:00 -0000

ros-noetic-combined-robot-hw (0.14.2-1buster) buster; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 25 Apr 2018 23:00:00 -0000

ros-noetic-combined-robot-hw (0.14.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-noetic-combined-robot-hw (0.14.0-1buster) buster; urgency=high

  * migrate classloader headers
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-noetic-combined-robot-hw (0.13.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-noetic-combined-robot-hw (0.12.0-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 04 Aug 2017 23:00:00 -0000

ros-noetic-combined-robot-hw (0.11.5-1buster) buster; urgency=high

  * Fix typo in architecture.svg
  * Contributors: Martin Günther

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 27 Jun 2017 23:00:00 -0000

ros-noetic-combined-robot-hw (0.11.4-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 14 Feb 2017 00:00:00 -0000

ros-noetic-combined-robot-hw (0.11.3-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-noetic-combined-robot-hw (0.11.2-1buster) buster; urgency=high

  * Add Toni's email to the author fields too
  * Add Enrique and Bence to maintainer list
  * Clean up export leftovers from rosbuild
  * Convert to format2, fix dependency in cmake
  * Add combined_robot_hw to metapackage & system figure
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 28 Nov 2016 00:00:00 -0000

ros-noetic-combined-robot-hw (0.11.1-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 17 Aug 2016 23:00:00 -0000

ros-noetic-combined-robot-hw (0.11.0-1buster) buster; urgency=high


