=== debian/control ===
Source: ros-noetic-combined-robot-hw
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-hardware-interface, ros-noetic-pluginlib, ros-noetic-roscpp
Homepage: https://github.com/ros-controls/ros_control/wiki
Standards-Version: 3.9.2

Package: ros-noetic-combined-robot-hw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-hardware-interface, ros-noetic-pluginlib, ros-noetic-roscpp
Description: Combined Robot HW class.
